osg::State::ApplyModeProxy Struct Reference

`#include <State>`

## Public Member Functions

| ApplyModeProxy (osg::State &state, GLenum mode, bool value)
| ~ApplyModeProxy ()

## Public Attributes

osg::State & | _state
GLenum | _mode
bool | _previous_value
bool | _need_to_apply_value

## Detailed Description

Proxy helper class for applyig a model in a local scope, with the preivous value being resotred automatically on leaving the scope that proxy was created.

## Constructor & Destructor Documentation

## ApplyModeProxy()

osg::State::ApplyModeProxy::ApplyModeProxy | ( | osg::State & | state,
|  | GLenum | mode,
|  | bool | value )

inline

References _mode, _need_to_apply_value, _previous_value, and _state.

## ~ApplyModeProxy()

osg::State::ApplyModeProxy::~ApplyModeProxy | ( |  | ) |

inline

References _mode, _need_to_apply_value, _previous_value, and _state.

## Member Data Documentation

## _mode

GLenum osg::State::ApplyModeProxy::_mode

Referenced by ApplyModeProxy(), and ~ApplyModeProxy().

## _need_to_apply_value

bool osg::State::ApplyModeProxy::_need_to_apply_value

Referenced by ApplyModeProxy(), and ~ApplyModeProxy().

## _previous_value

bool osg::State::ApplyModeProxy::_previous_value

Referenced by ApplyModeProxy(), and ~ApplyModeProxy().

## _state

osg::State& osg::State::ApplyModeProxy::_state

Referenced by ApplyModeProxy(), and ~ApplyModeProxy().

The documentation for this struct was generated from the following file:

- State